package com.ruoyi.system.service.impl;

import java.util.Arrays;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.text.Convert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdFileProvideMapper;
import com.ruoyi.system.domain.TdFileProvide;
import com.ruoyi.system.service.ITdFileProvideService;

/**
 * 文件下发Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-23
 */
@Service
public class TdFileProvideServiceImpl extends ServiceImpl<TdFileProvideMapper,TdFileProvide> implements ITdFileProvideService
{
    @Autowired
    private TdFileProvideMapper tdFileProvideMapper;

    /**
     * 查询文件下发
     * 
     * @param fileId 文件下发主键
     * @return 文件下发
     */
    @Override
    public TdFileProvide selectTdFileProvideByFileId(String fileId)
    {
        return tdFileProvideMapper.selectTdFileProvideByFileId(fileId);
    }

    /**
     * 查询文件下发列表
     * 
     * @param tdFileProvide 文件下发
     * @return 文件下发
     */
    @Override
    public List<TdFileProvide> selectTdFileProvideList(TdFileProvide tdFileProvide)
    {
        return tdFileProvideMapper.selectTdFileProvideList(tdFileProvide);
    }

    /**
     * 新增文件下发
     * 
     * @param tdFileProvide 文件下发
     * @return 结果
     */
    @Override
    public int insertTdFileProvide(TdFileProvide tdFileProvide)
    {
        return tdFileProvideMapper.insertTdFileProvide(tdFileProvide);
    }

    /**
     * 修改文件下发
     * 
     * @param tdFileProvide 文件下发
     * @return 结果
     */
    @Override
    public int updateTdFileProvide(TdFileProvide tdFileProvide)
    {
        return tdFileProvideMapper.updateTdFileProvide(tdFileProvide);
    }

    /**
     * 批量删除文件下发
     * 
     * @param fileIds 需要删除的文件下发主键
     * @return 结果
     */
    @Override
    public int deleteTdFileProvideByFileIds(String fileIds)
    {
        return tdFileProvideMapper.deleteTdFileProvideByFileIds(Convert.toStrArray(fileIds));
    }

    /**
     * 删除文件下发信息
     * 
     * @param fileId 文件下发主键
     * @return 结果
     */
    @Override
    public int deleteTdFileProvideByFileId(Long fileId)
    {
        return tdFileProvideMapper.deleteTdFileProvideByFileId(fileId);
    }
}
